Package com.usatiuk.dhfs.rpc

# Class RemoteObjectServiceServer

java.lang.Object
com.usatiuk.dhfs.rpc.RemoteObjectServiceServer

All Implemented Interfaces:
  `DhfsObjectSyncGrpc`, `io.quarkus.grpc.MutinyService`

@RolesAllowed("cluster-member") public class RemoteObjectServiceServer extends Object implements DhfsObjectSyncGrpc

## Constructor Summary

Constructors
Constructor
Description
`RemoteObjectServiceServer()`

## Method Summary

Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<CanDeleteReply>`
`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
`ping(PingRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteObjectServiceServer

public RemoteObjectServiceServer()

## Method Details

### getObject

public io.smallrye.mutiny.Uni<GetObjectReply> getObject(GetObjectRequest request)

Specified by:
  `getObject` in interface `DhfsObjectSyncGrpc`

### canDelete

public io.smallrye.mutiny.Uni<CanDeleteReply> canDelete(CanDeleteRequest request)

Specified by:
  `canDelete` in interface `DhfsObjectSyncGrpc`

### opPush

public io.smallrye.mutiny.Uni<OpPushReply> opPush(OpPushRequest request)

Specified by:
  `opPush` in interface `DhfsObjectSyncGrpc`

### ping

public io.smallrye.mutiny.Uni<PingReply> ping(PingRequest request)

Specified by:
  `ping` in interface `DhfsObjectSyncGrpc`